Bug 170954

Summary: Review Request: f2py: Fortran to Python interface generator
Product: [Fedora] Fedora Reporter: Ignacio Vazquez-Abrams <ivazqueznet>
Component: Package ReviewAssignee: Ed Hill <ed>
Status: CLOSED NEXTRELEASE QA Contact: David Lawrence <dkl>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-extras-list
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://cens.ioc.ee/projects/f2py2e
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-10-21 11:37:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 163779    

Description Ignacio Vazquez-Abrams 2005-10-16 01:29:25 EDT
Spec Name or Url: http://fedora.ivazquez.net/files/extras/f2py.spec
SRPM Name or Url: http://fedora.ivazquez.net/files/extras/f2py-2.45.241_1926-1.src.rpm
Description: The purpose of the F2PY --Fortran to Python interface generator-- project is to provide connection between Python and Fortran languages. F2PY is a Python extension tool for creating Python C/API modules from (handwritten or F2PY generated) signature files (or directly from Fortran sources).
Comment 1 Ed Hill 2005-10-16 11:53:53 EDT
Hi Ignacio, the above SRPM builds on FC4 but rpmlint throws up a dozen errors 
of the form:

  E: f2py non-executable-script \
     /usr/lib/python2.4/site-packages/f2py2e/crackfortran.py 0644

If those files really should be executable (and I think they should be, 
right?) then could you please post an updated SRPM?
Comment 2 Ignacio Vazquez-Abrams 2005-10-16 12:19:23 EDT
Strictly speaking files under /usr/lib/pythonX.Y/site-packages aren't required
to be executable. rpmlint is just keying on the shebang line and figuring
something is wrong from that. The 2 "devel-file-in-non-devel-package" messages
may also be red herrings but I need to look deeper into it.
Comment 3 Ed Hill 2005-10-20 12:13:59 EDT
Hi Ignacio, thanks for explaining why rpmlint is wrong.  So 
with that out of the way, the package looks good except for the two
"devel-file-in-non-devel-package" warnings are you mentioned:

 + spec looks good
 + code not content
 + source matches upstream
 + license is OK (and not included since it does not appear in 
    the upstream tarball -- good)
 + builds in mock on FC4 and appears to work correctly on FC4

I think its OK ship the package as-is.  And if you or someone else 
can point out a better location for the two fortranobject.[ch] files, 
then thats something that can be changed once its in CVS.

APPROVED.
Comment 4 Ignacio Vazquez-Abrams 2005-10-21 11:37:12 EDT
Built for FC4 and devel.